Subject: [Rucus] Should we just declare RUCUS dead and move on? (Or have we already?)

From: Dan York <[email-masked]>
Date: Wed, 5 Nov 2008 10:59:59 -0500

Folks,

I notice that RUCUS is (understandably) yet again not on the agenda  
for IETF 73. It was also not on the agenda for IETF 72 and was last  
held at IETF 71 **8 months ago** in March in Philadelphia.  At IETF  
71, we talked about creating a *6-month* Exploratory Group (EG) to  
explore some of the basic issues and decide whether or not we needed  
to move into a WG.

That was to be a 6-month plan, but here we are 8 months later and we  
haven't started that 6-month window...

Based on past email, it seems to me that we are waiting upon the  
"blessing" of the ADs to launch the EG before we begin the work.   
Given how taxed for time the ADs appear to be, what is the likelihood  
for this to occur?  Do we need to do something drastic like hide  
Cullen's MacBook Air at IETF 73 when he leaves it on a chair to go  
speak at the mic and refuse to give it back to him until he provides  
an answer?  (Thus creating a rucus about RUCUS.)

I'm joking on that point (as Cullen will now avoid being near me for  
all of IETF 73!), but I am serious that I think we need to figure out  
what we are doing with this list and group.

If we want to move this body of work forward, can the RUCUS co-chairs  
*please* find out from the ADs about RUCUS becoming an EG?

Or should we just start working on I-D's and acting as if this IS a  
BOF/EG?  (Do we all have time to do so?)

Or if we think that the work we've talked about doing in RUCUS is  
simply too difficult to do or at least to do within the IETF, let's  
just shut down the list and move on.  We all have a zillion other  
things to do.

Dan

-- 
Dan York, CISSP, Director of Emerging Communication Technology
Office of the CTO    Voxeo Corporation     [email-masked]
Phone: +1-407-455-5859  Skype: danyork  http://www.voxeo.com
Blogs: http://blogs.voxeo.com  http://www.disruptivetelephony.com

Build voice applications based on open standards.
Find out how at http://www.voxeo.com/free

_______________________________________________
Rucus mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rucus

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 5 Nov 2008 18:12:42 +0200

Hi Dan, 

you are right that the Exploratory Group (EG) does not seem to be a
workable concept for the IETF with the huge amount of overhead. 

>From the BOF chair point of view the preparation for the EG is finished
some time ago. We submitted the charter with the request for creating an
EG to the ADs. I was obviously hoping that this could be executed fast.
I cannot create the group myself, as you know. 

Still doing the work regardless whether a BOF exists is certainly a good
idea.

Ciao
Hannes

PS: I worked on a draft for the submission deadline but did not submit
since Henning and I believe it needs more work. 

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] 
>On Behalf Of ext Dan York
>Sent: 05 November, 2008 18:00
>To: rucus BoF
>Subject: [Rucus] Should we just declare RUCUS dead and move 
>on? (Or have wealready?)
>
>Folks,
>
>I notice that RUCUS is (understandably) yet again not on the 
>agenda for IETF 73. It was also not on the agenda for IETF 72 
>and was last held at IETF 71 **8 months ago** in March in 
>Philadelphia.  At IETF 71, we talked about creating a 
>*6-month* Exploratory Group (EG) to explore some of the basic 
>issues and decide whether or not we needed to move into a WG.
>
>That was to be a 6-month plan, but here we are 8 months later 
>and we haven't started that 6-month window...
>
>Given how taxed for time the ADs appear to be, what is the 
>likelihood for this to occur?  Do we need to do something 
>drastic like hide Cullen's MacBook Air at IETF 73 when he 
>leaves it on a chair to go speak at the mic and refuse to give 
>it back to him until he provides an answer?  (Thus creating a 
>rucus about RUCUS.)
>
>I'm joking on that point (as Cullen will now avoid being near 
>me for all of IETF 73!), but I am serious that I think we need 
>to figure out what we are doing with this list and group.
>
>Or should we just start working on I-D's and acting as if this 
>IS a BOF/EG?  (Do we all have time to do so?)
>
>Or if we think that the work we've talked about doing in RUCUS 
>is simply too difficult to do or at least to do within the 
>IETF, let's just shut down the list and move on.  We all have 
>a zillion other things to do.
>
>Dan
>
>--

---

From: David Schwartz <[email-masked]>
Date: Wed, 5 Nov 2008 18:39:06 +0200

Hi Dan, Hannes

I myself have been holding off pending some resolution. As it is I  
have a very hard time justifying time I spend on IETF related work.

I would love to see the EG or better yet a WG formed sooner rather  
than later.

Just my two cents,

D.

On Nov 5, 2008, at 6:12 PM, Tschofenig, Hannes (NSN - FI/Espoo) wrote:

> ______________________________________________________________________
> This email has been scanned by the MessageLabs Email Security System.
> For more information please visit http://www.messagelabs.com/email
> ______________________________________________________________________

---

From: "Saverio Niccolini" <[email-masked]>
Date: Thu, 6 Nov 2008 09:35:23 +0100

Having a formal EG/WG formed is definitely a good reason for
us to spend time on it (as we have resources to do chartered
work and not every work we like) and this is what we did so
far trying collaborating to form the EG (spending enough time
I think)

But I also know that Cullen is doing his best to get this done,
he just needs some more time to put the right things in place
and finding the right people to lead this effort, remember that
there is no EG charted so far (it is just an experiment IETF 
started some time ago) and maybe IETF leaders are cautious on 
this (they do not want to charter an experiment unless they
strongly believe is going to be successful)

Saverio

============================================================
Dr. Saverio Niccolini
Manager, Real-Time Communications Group
NEC Laboratories Europe, Network Research Division	
Kurfuerstenanlage 36, D-69115 Heidelberg
Tel.     +49 (0)6221 4342-118
Fax:     +49 (0)6221 4342-155
e-mail:  [email-masked] <-- !!! NEW ADDRESS !!!
============================================================
NEC Europe Limited Registered Office: NEC House, 1 Victoria
Road, London W3 6BL Registered in England 2832014

> On Behalf Of David Schwartz
> Sent: Wednesday, November 05, 2008 5:39 PM
> To: Tschofenig, Hannes (NSN - FI/Espoo)
> Cc: rucus BoF
> Subject: Re: [Rucus] Should we just declare RUCUS dead and 
> move on? (Or havewealready?)
> 
> Hi Dan, Hannes
> 
> I myself have been holding off pending some resolution. As it 
> is I have a very hard time justifying time I spend on IETF 
> related work.
> 
> I would love to see the EG or better yet a WG formed sooner 
> rather than later.
> 
> Just my two cents,
> 
> D.
> 
> > From the BOF chair point of view the preparation for the EG is 
> > finished some time ago. We submitted the charter with the 
> request for 
> > creating an EG to the ADs. I was obviously hoping that this 
> could be 
> > executed fast.
> > Still doing the work regardless whether a BOF exists is certainly a 
> > good idea.
> >
> > Ciao
> > Hannes
> >
> >> From: [email-masked] [mailto:[email-masked]] On 
> >> Behalf Of ext Dan York
> >> Subject: [Rucus] Should we just declare RUCUS dead and 
> move on? (Or 
> >> have wealready?)
> >>
> >> Folks,
> >>
> >> 71, we talked about creating a
> >> *6-month* Exploratory Group (EG) to explore some of the 
> basic issues 
> >> and decide whether or not we needed to move into a WG.
> >>
> likelihood

---

From: "Charzinski, Joachim (NSN - DE/Munich)" <[email-masked]>
Date: Thu, 6 Nov 2008 09:54:27 +0100

Saverio wrote:  
> ... 
> they do not want to charter an experiment unless they
> strongly believe is going to be successful
> ...

You probably hit the point here. The whole idea of an experiment 
is to be open minded about the outcome. Sometimes this is hard 
just because everybody wants their work to be successful. 

I see the value of an EG exactly in the fact that it has a 
significantly higher probability for "failing". If EGs are not 
easier (and faster) to start and to stop than WGs, there is 
no point in talking about EGs. Finding out after 6 months 
that it is not necessary to start a WG would be a success
for the EG concept. So I don't understand why the EG can't be 
started. The tricky thing should not be starting the EG but 
consequently acting upon the EG's results after a given time.

Best regards

	Joachim.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Saverio Niccolini
Sent: Thursday, November 06, 2008 9:35 AM
To: David Schwartz; Tschofenig, Hannes (NSN - FI/Espoo)
Cc: rucus BoF
Subject: Re: [Rucus] Should we just declare RUCUS dead and move on? (Orhavewealready?)

Saverio

----------------------------------------------------------
Joachim Charzinski

Nokia Siemens Networks
Research, Technology and Platforms 
Strategy & Vision / End-to-end Network Architecture Evolution
 
St.-Martin-Str. 53
Post box: D-80240 Muenchen
D-81541 Muenchen
Germany
Tel: +49 89 636 79902

[email-masked] 
http://www.nokiasiemensnetworks.com/global/

Think before you print

Nokia Siemens Networks GmbH & Co. KG
Sitz der Gesellschaft: München / Registered office: Munich
Registergericht: München / Commercial registry: Munich, HRA 88537
WEEE-Reg.-Nr.: DE 52984304

Persönlich haftende Gesellschafterin / General Partner: Nokia Siemens Networks Management GmbH
Geschäftsleitung / Board of Directors: Lydia Sommer, Olaf Horsthemke
Vorsitzender des Aufsichtsrats / Chairman of supervisory board: Lauri Kivinen
Sitz der Gesellschaft: München / Registered office: Munich
Registergericht: München / Commercial registry: Munich, HRB 163416
_______________________________________________
Rucus mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rucus

---

From: "Mary Barnes" <[email-masked]>
Date: Thu, 6 Nov 2008 12:28:11 -0600

One important thing to consider (and I know this has been mentioned
before) is that individuals are free to work together without having an
official IETF group formed. MEDIACTRL is a really good example. Although
I recognize that work was far easier to scope, it did involve a variety
of vendors (and service providers interested in the solution) to work
together. The informal design team met at IETF meetings for a couple
years. It was quite small and made very good progress between meetings,
as well, since the early work is often the most interesting. 

Personally, I do think it's worthwhile to explore this area and figure
out if and which specific problems can be solved.

I would suggest folks try to find a common time to get together (in
Minneapolis ideally, although conference calls might work) and start
discussing some of the items in the proposed EG charter and thus be
better prepared to work towards the aggressive milestones if/when the EG
is chartered. 

Mary. 
Note: I snipped the remainder of the thread...

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Saverio Niccolini
Sent: Thursday, November 06, 2008 2:35 AM
To: David Schwartz; Tschofenig, Hannes (NSN - FI/Espoo)
Cc: rucus BoF
Subject: Re: [Rucus] Should we just declare RUCUS dead and move on? (Or
havewealready?)

Having a formal EG/WG formed is definitely a good reason for us to spend
time on it (as we have resources to do chartered work and not every work
we like) and this is what we did so far trying collaborating to form the
EG (spending enough time I think)

But I also know that Cullen is doing his best to get this done, he just
needs some more time to put the right things in place and finding the
right people to lead this effort, remember that there is no EG charted
so far (it is just an experiment IETF started some time ago) and maybe
IETF leaders are cautious on this (they do not want to charter an
experiment unless they strongly believe is going to be successful)

Saverio

============================================================
Dr. Saverio Niccolini
Manager, Real-Time Communications Group
NEC Laboratories Europe, Network Research Division	
Kurfuerstenanlage 36, D-69115 Heidelberg
Tel.     +49 (0)6221 4342-118
Fax:     +49 (0)6221 4342-155
e-mail:  [email-masked] <-- !!! NEW ADDRESS !!!
============================================================
NEC Europe Limited Registered Office: NEC House, 1 Victoria Road, London
W3 6BL Registered in England 2832014

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Thu, 6 Nov 2008 22:01:41 +0200

That's very true. 

Nobody prevents us from still doing some work, having phone conference
calls, meet during the IETF#73 week, etc. 

Let's focus on the IETF meeting and see whether someone is interested to
have a chat about the topic. To see who is actually interested in a
discussion and when those folks arrive please put your name here: 
http://www.doodle.com/sevy8iih5udfuh94

Ciao
Hannes 

>From: ext Mary Barnes [mailto:[email-masked]] 
>Sent: 06 November, 2008 20:28
>To: Saverio Niccolini; David Schwartz; Tschofenig, Hannes (NSN 
>- FI/Espoo)
>Cc: rucus BoF
>Subject: RE: [Rucus] Should we just declare RUCUS dead and 
>before) is that individuals are free to work together without 
>having an official IETF group formed. MEDIACTRL is a really 
>good example. Although I recognize that work was far easier to 
>scope, it did involve a variety of vendors (and service 
>providers interested in the solution) to work together. The 
>informal design team met at IETF meetings for a couple years. 
>It was quite small and made very good progress between 
>meetings, as well, since the early work is often the most interesting. 
>
>Personally, I do think it's worthwhile to explore this area 
>and figure out if and which specific problems can be solved.
>
>I would suggest folks try to find a common time to get 
>together (in Minneapolis ideally, although conference calls 
>might work) and start discussing some of the items in the 
>proposed EG charter and thus be better prepared to work 
>towards the aggressive milestones if/when the EG is chartered. 
>
>Mary. 
>On Behalf Of Saverio Niccolini
>far trying collaborating to form the EG (spending enough time I think)
>
>But I also know that Cullen is doing his best to get this 
>done, he just needs some more time to put the right things in 
>place and finding the right people to lead this effort, 
>remember that there is no EG charted so far (it is just an 
>experiment IETF started some time ago) and maybe IETF leaders 
>are cautious on this (they do not want to charter an

---

From: Dan York <[email-masked]>
Date: Thu, 6 Nov 2008 15:21:36 -0500

Hannes,

It's not clear to me what your survey is doing... are you trying to  
arrange a session BEFORE the meeting starts? i.e. on Saturday or Sunday?

I arrive very late on Sunday and so there's no chance I can do much  
there.

Why don't we look on gathering some evening or lunch during the week?

Dan

---

From: "Hannes Tschofenig" <[email-masked]>
Date: Thu, 6 Nov 2008 22:26:10 +0200

I was hoping that some folks arrive already earlier. On Saturday and Sunday
folks are a bit more relaxed and we have more time. 

The week is already pretty much full for most people already -- specifically
the lunch time and evenings. 

Ciao
Hannes

>On Behalf Of Dan York
>Sent: 06 November, 2008 22:22
>Cc: rucus BoF; Saverio Niccolini
>move on? (Orhavewealready?)
>
>Hannes,
>
>It's not clear to me what your survey is doing... are you 
>trying to arrange a session BEFORE the meeting starts? i.e. on 
>Saturday or Sunday?
>
>I arrive very late on Sunday and so there's no chance I can do 
>much there.
>
>> Let's focus on the IETF meeting and see whether someone is 
>interested 
>> to have a chat about the topic. To see who is actually 
>interested in a 
>>> Subject: RE: [Rucus] Should we just declare RUCUS dead and move on? 
>>> (Or havewealready?)
>>>
>>> before) is that individuals are free to work together 
>without having 
>>> an official IETF group formed. MEDIACTRL is a really good example. 
>>> Although I recognize that work was far easier to scope, it did 
>>> involve a variety of vendors (and service providers 
>interested in the 
>>> solution) to work together. The informal design team met at IETF 
>>> meetings for a couple years.
>>> It was quite small and made very good progress between meetings, as 
>>> well, since the early work is often the most interesting.
>>>
>>> Personally, I do think it's worthwhile to explore this area and 
>>> figure out if and which specific problems can be solved.
>>>
>>> better prepared to work towards the aggressive milestones 
>if/when the 
>>> EG is chartered.
>>>
>>> Mary.
>>> Behalf Of Saverio Niccolini
>move on?  
>>> (Or
>>> Having a formal EG/WG formed is definitely a good reason for us to 
>>> spend time on it (as we have resources to do chartered work and not 
>>> every work we like) and this is what we did so far trying 
>>> collaborating to form the EG (spending enough time I
>>> think)
>>>
>>> But I also know that Cullen is doing his best to get this done, he 
>>> just needs some more time to put the right things in place and 
>>> finding the right people to lead this effort, remember that 
>there is 
>>> no EG charted so far (it is just an experiment IETF started 
>some time 
>>> ago) and maybe IETF leaders are cautious on this (they do 
>not want to 
>>> charter an experiment unless they strongly believe is going to be 
>>> successful)
>>>
>>> Saverio
>>>

---

From: "Hannes Tschofenig" <[email-masked]>
Date: Mon, 10 Nov 2008 08:50:21 +0200

Please indicate your preference whether you would like to get together at
IETF#73 for a chat about RUCUS:
http://www.doodle.com/sevy8iih5udfuh94

You have three choices for a meeting:
* Saturday
* Sunday 
* some time during the week (=other)

If most folks prefer to have a chat during the week then I will arrange
something with the folks who have put their name on that list. 

So, please indicate your preference as soon as possible. 

Ciao
Hannes

---

From: Cullen Jennings <[email-masked]>
Date: Sat, 15 Nov 2008 13:42:41 -0700

Just as a status update ... so far everyone Jon and I have asked to  
chair this EG had declined. As usual we would like to have a less one  
chair with lots of energy and one experienced chair that is capable of  
making sure any "strong personalities, ADs, etc" don't take things an  
inappropriate direction. There are still some folks we are pursuing as  
chair candidates but most people want to think about for awhile before  
saying No.

Work is being done but the commitment to actually doing work in this  
EG seems low. We have yet to see the drafts that were going to be  
produced before the Dublin meeting that covered the proposal that came  
out of the BOF.

> "blessing" of the ADs to launch the EG before we begin the work.

At the end of the BOF, I thought work was going to start right away on  
a draft and that would be submitted before Dublin. I don't think that  
the anyone should be waiting for the ADs to do something before doing  
individual drafts that are in the scope of current proposed charter.

> likelihood for this to occur?  Do we need to do something drastic  
> like hide Cullen's MacBook Air at IETF 73 when he leaves it on a  
> chair to go speak at the mic and refuse to give it back to him until  
> he provides an answer?  (Thus creating a rucus about RUCUS.)
>
> all of IETF 73!), but I am serious that I think we need to figure  
> out what we are doing with this list and group.

I'm bringing a backup air to Dublin :-)

>
>
> If we want to move this body of work forward, can the RUCUS co- 
> chairs *please* find out from the ADs about RUCUS becoming an EG?

I thought most of this had been sent on to them but definitely, catch  
me in a hallway at IETF 73. I will be at the welcome reception Sunday  
which is a tradition place to beat up^H^H^H^H^H find, ADs.